<form (ngSubmit)="login()" [formGroup]="loginForm">
    <!-- Username input -->
    <div class="form-outline mb-4">
      <input type="text" id="usernameInput" class="form-control" formControlName="username" />
      <label class="form-label" for="usernameInput">Username</label>
    </div>
  
    <!-- Password input -->
    <div class="form-outline mb-4">
      <input type="password" id="passwordInput" class="form-control" formControlName="password" />
      <label class="form-label" for="passwordInput">Password</label>
    </div>
  
    <!-- Submit button -->
    <button type="submit" class="btn btn-primary btn-block mb-4">Sign in</button>
  </form>